NAME
  SelectColor - Color selection widget

CREATION
  SelectColor pathName ?option value...?

WIDGET-SPECIFIC OPTIONS

  -color
  | -command -height
  | -parent -title
  | -type -variable
  | -width

WIDGET COMMAND
  pathName cget option
  pathName configure ?option? ?value option value ...?
  SelectColor::setcolor index color

DESCRIPTION

SelectColor provides a simple way to select color. It can be displayed as a dialog box or as a menubutton.

WIDGET-SPECIFIC OPTIONS

-color
  Specifies the color value of the widget.

-command
  When type is menubutton, specifies a command to call when user select a color.

-height
  When type is menubutton, specifies the desired height for the button.

-parent
  Parent of the Dialog. Dialog is centered in its parent. If empty, it is centered in root window.

-title
  Title of the Dialog toplevel.

-type (read-only)
  Specifies the type of the SelectColor widget. Must be dialog or menubutton.
  If type option is dialog, SelectColor::create directly creates the dialog, displays it and return an empty string if cancel button is pressed or if dialog is destroyed, and the selected color if ok button is pressed. In all cases, dialog is destroyed.
  If type option is menubutton, SelectColor::create returns the pathname of the widget created. It is composed of a button from which user can access a menu displaying predefined colors.

-variable
  Specifies a variable to link to the color value of the widget.

-width
  When type is menubutton, specifies the desired width for the button.

WIDGET COMMAND

pathName cget option
  Returns the current value of the configuration option given by option. Option may have any of the values accepted by the creation command.

pathName configure ?option? ?value option value ...?
  Query or modify the configuration options of the widget. If no option is specified, returns a list describing all of the available options for pathName. If option is specified with no value, then the command returns a list describing the one named option (this list will be identical to the corresponding sublist of the value returned if no option is specified). If one or more option-value pairs are specified, then the command modifies the given widget option(s) to have the given value(s); in this case the command returns an empty string. Option may have any of the values accepted by the creation command. Read-only options are not be modified.

SelectColor::setcolor index color
  Set the value of user predefined color at index index to color. index must be between 1 and 5.